Package robocode

## Class _AdvancedRobot

- java.lang.Object
- - robocode._RobotBase
  - - robocode._Robot
    - - robocode.Robot
      - - robocode._AdvancedRobot

All Implemented Interfaces:
  `Runnable`, `IBasicEvents`, `IBasicEvents2`, `IBasicEvents3`, `IBasicRobot`, `IInteractiveEvents`, `IInteractiveRobot`, `IPaintEvents`, `IPaintRobot`

Direct Known Subclasses:
  `_AdvancedRadiansRobot`

    public class _AdvancedRobot
    extends Robot

This class is used by the system, as well as being a placeholder for all deprecated (meaning, you should not use them) calls for `AdvancedRobot`.

You should create a `AdvancedRobot` instead.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Pavel Savara (contributor)
See Also:
  `Robot`, `JuniorRobot`, `AdvancedRobot`, `TeamRobot`, `RateControlRobot`

### Field Summary

### Fields inherited from class robocode._RobotBase

`out`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `endTurn​()` Deprecated. Use `execute` instead.
`double` `getGunHeadingDegrees​()` Deprecated. Use `getGunHeading()` instead.
`double` `getHeadingDegrees​()` Deprecated. Use `getHeading()` instead.
`int` `getMaxWaitCount​()` Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.
`double` `getRadarHeadingDegrees​()` Deprecated. Use `getRadarHeading()` instead.
`int` `getWaitCount​()` Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.
`void` `setTurnGunLeftDegrees​(double degrees)` Deprecated. Use `setTurnGunLeft` instead.
`void` `setTurnGunRightDegrees​(double degrees)` Deprecated. Use `setTurnGunRight` instead.
`void` `setTurnLeftDegrees​(double degrees)` Deprecated. Use `setTurnLeft(double)` instead.
`void` `setTurnRadarLeftDegrees​(double degrees)` Deprecated. Use `setTurnRadarLeft(double)` instead.
`void` `setTurnRadarRightDegrees​(double degrees)` Deprecated. Use `setTurnRadarRight` instead.
`void` `setTurnRightDegrees​(double degrees)` Deprecated. Use `setTurnRight(double)` instead.
`void` `turnGunLeftDegrees​(double degrees)` Deprecated. Use `turnGunLeft` instead.
`void` `turnGunRightDegrees​(double degrees)` Deprecated. Use `turnGunRight` instead.
`void` `turnLeftDegrees​(double degrees)` Deprecated. Use `turnLeft(double)` instead.
`void` `turnRadarLeftDegrees​(double degrees)` Deprecated. Use `turnRadarLeft` instead.
`void` `turnRadarRightDegrees​(double degrees)` Deprecated. Use `turnRadarRight` instead.
`void` `turnRightDegrees​(double degrees)` Deprecated. Use `turnRight(double)` instead.

### Methods inherited from class robocode._Robot

`getBattleNum, getGunCharge, getGunImageName, getLife, getNumBattles, getRadarImageName, getRobotImageName, setGunImageName, setInterruptible, setRadarImageName, setRobotImageName`

### Methods inherited from class robocode._RobotBase

`finalize, setOut, setPeer`

### Methods inherited from interface robocode.robotinterfaces.IBasicRobot

`setOut, setPeer`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class robocode.Robot

`ahead, back, doNothing, fire, fireBullet, getBasicEventListener, getBattleFieldHeight, getBattleFieldWidth, getEnergy, getGraphics, getGunCoolingRate, getGunHeading, getGunHeat, getHeading, getHeight, getInteractiveEventListener, getName, getNumRounds, getNumSentries, getOthers, getPaintEventListener, getRadarHeading, getRobotRunnable, getRoundNum, getSentryBorderSize, getTime, getVelocity, getWidth, getX, getY, onBattleEnded, onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragged, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onMouseWheelMoved, onPaint, onRobotDeath, onRoundEnded, onScannedRobot, onStatus, onWin, resume, run, scan, setAdjustGunForRobotTurn, setAdjustRadarForGunTurn, setAdjustRadarForRobotTurn, setAllColors, setBodyColor, setBulletColor, setColors, setColors, setDebugProperty, setGunColor, setRadarColor, setScanColor, stop, stop, turnGunLeft, turnGunRight, turnLeft, turnRadarLeft, turnRadarRight, turnRight`

### Method Detail

#### setTurnGunLeftDegrees

    @Deprecated
    public void setTurnGunLeftDegrees​(double degrees)

Deprecated. Use `setTurnGunLeft` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's gun to the left. If `degrees` > 0 the robot's gun is set to turn left. If `degrees` < 0 the robot's gun is set to turn right. If `degrees` = 0 the robot's gun is set to stop turning.

#### setTurnGunRightDegrees

    @Deprecated
    public void setTurnGunRightDegrees​(double degrees)

Deprecated. Use `setTurnGunRight` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's gun to the right. If `degrees` > 0 the robot's gun is set to turn right. If `degrees` < 0 the robot's gun is set to turn left. If `degrees` = 0 the robot's gun is set to stop turning.

#### turnRadarRightDegrees

    @Deprecated
    public void turnRadarRightDegrees​(double degrees)

Deprecated. Use `turnRadarRight` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's radar to the right. If `degrees` > 0 the robot's radar will turn right. If `degrees` < 0 the robot's radar will turn left. If `degrees` = 0 the robot's radar will not turn, but execute.

#### setTurnRightDegrees

    @Deprecated
    public void setTurnRightDegrees​(double degrees)

Deprecated. Use `setTurnRight(double)` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's body to the right. If `degrees` > 0 the robot is set to turn right. If `degrees` < 0 the robot is set to turn left. If `degrees` = 0 the robot is set to stop turning.

#### setTurnRadarLeftDegrees

    @Deprecated
    public void setTurnRadarLeftDegrees​(double degrees)

Deprecated. Use `setTurnRadarLeft(double)` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's radar to the left. If `degrees` > 0 the robot's radar is set to turn left. If `degrees` < 0 the robot's radar is set to turn right. If `degrees` = 0 the robot's radar is set to stop turning.

#### setTurnLeftDegrees

    @Deprecated
    public void setTurnLeftDegrees​(double degrees)

Deprecated. Use `setTurnLeft(double)` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's body to the left. If `degrees` > 0 the robot is set to turn left. If `degrees` < 0 the robot is set to turn right. If `degrees` = 0 the robot is set to stop turning.

#### getHeadingDegrees

    @Deprecated
    public double getHeadingDegrees​()

Deprecated. Use `getHeading()` instead.

Returns:
  the direction that the robot's body is facing, in degrees.

#### turnLeftDegrees

    @Deprecated
    public void turnLeftDegrees​(double degrees)

Deprecated. Use `turnLeft(double)` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's body to the left. If `degrees` > 0 the robot will turn left. If `degrees` < 0 the robot will turn right. If `degrees` = 0 the robot will not turn, but execute.

#### turnRightDegrees

    @Deprecated
    public void turnRightDegrees​(double degrees)

Deprecated. Use `turnRight(double)` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's body to the right. If `degrees` > 0 the robot will turn right. If `degrees` < 0 the robot will turn left. If `degrees` = 0 the robot will not turn, but execute.

#### endTurn

    @Deprecated
    public void endTurn​()

Deprecated. Use `execute` instead.

#### getGunHeadingDegrees

    @Deprecated
    public double getGunHeadingDegrees​()

Deprecated. Use `getGunHeading()` instead.

Returns:
  the direction that the robot's gun is facing, in degrees.

#### getRadarHeadingDegrees

    @Deprecated
    public double getRadarHeadingDegrees​()

Deprecated. Use `getRadarHeading()` instead.

Returns:
  the direction that the robot's radar is facing, in degrees.

#### getWaitCount

    @Deprecated
    public int getWaitCount​()

Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.

Returns:
  allways `0` as this method is no longer functional.

#### setTurnRadarRightDegrees

    @Deprecated
    public void setTurnRadarRightDegrees​(double degrees)

Deprecated. Use `setTurnRadarRight` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's radar to the right. If `degrees` > 0 the robot's radar is set to turn right. If `degrees` < 0 the robot's radar is set to turn left. If `degrees` = 0 the robot's radar is set to stop turning.

#### turnGunLeftDegrees

    @Deprecated
    public void turnGunLeftDegrees​(double degrees)

Deprecated. Use `turnGunLeft` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's gun to the left. If `degrees` > 0 the robot's gun will turn left. If `degrees` < 0 the robot's gun will turn right. If `degrees` = 0 the robot's gun will not turn, but execute.

#### turnGunRightDegrees

    @Deprecated
    public void turnGunRightDegrees​(double degrees)

Deprecated. Use `turnGunRight` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's gun to the right. If `degrees` > 0 the robot's gun will turn right. If `degrees` < 0 the robot's gun will turn left. If `degrees` = 0 the robot's gun will not turn, but execute.

#### turnRadarLeftDegrees

    @Deprecated
    public void turnRadarLeftDegrees​(double degrees)

Deprecated. Use `turnRadarLeft` instead.

Parameters:
  `degrees` - the amount of degrees to turn the robot's radar to the left. If `degrees` > 0 the robot's radar will turn left. If `degrees` < 0 the robot's radar will turn right. If `degrees` = 0 the robot's radar will not turn, but execute.

#### getMaxWaitCount

    @Deprecated
    public int getMaxWaitCount​()

Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.

Returns:
  allways `0` as this method is no longer functional.